lmatch
| Rivet Tcl Commands and Variables |

## Name

lmatch — Look for elements in <list> that match <pattern>

## Synopsis

::rivet::lmatch (-exact | -glob | -regexp) list pattern

## Description

Look for elements in <list> that match <pattern>. This command is a decent replacement for TclX lmatch command when TclX is not available

In the following example a regular expression is matched against each element in the input list and a list containing the matching elements is returned

    ::rivet::lmatch -regexp { aaxa bxxb ccxxxxcc } {.+[x]{2}.+}
    bxxb ccxxxxcc

lempty |  | load_cookies